Eclipse Platform Release 3.7

## org.eclipse.team.core.synchronize
Class SyncInfoFilter.ContentComparisonSyncInfoFilter

    java.lang.Object
      org.eclipse.team.core.synchronize.SyncInfoFilter
          org.eclipse.team.core.synchronize.SyncInfoFilter.ContentComparisonSyncInfoFilter

Enclosing class:
  SyncInfoFilter

    public static class SyncInfoFilter.ContentComparisonSyncInfoFilter

extends SyncInfoFilter

Selects `SyncInfo` whose local and remote contents match. This filter makes use of the `IStorage` provided by an `IResourceVariant` to obtain the remote contents. This means that the comparison may contact the server unless the contents were cached locally by a previous operation. The caching of remote contents is subscriber specific.

For folders, the comparison always returns `true`.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.team.core.synchronize.SyncInfoFilter
`SyncInfoFilter.ContentComparisonSyncInfoFilter`

Constructor Summary
`SyncInfoFilter.ContentComparisonSyncInfoFilter()` Create a filter that does not ignore whitespace.
`SyncInfoFilter.ContentComparisonSyncInfoFilter(boolean ignoreWhitespace)` Create a filter and configure how whitespace is handled.

Method Summary
`boolean` `compareContents(IFile local, IResourceVariant remote, IProgressMonitor monitor)` Compare the contents of the local file and its variant.
`boolean` `select(SyncInfo info, IProgressMonitor monitor)` Return `true` if the provided `SyncInfo` matches the filter.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SyncInfoFilter.ContentComparisonSyncInfoFilter

    public SyncInfoFilter.ContentComparisonSyncInfoFilter()

  Create a filter that does not ignore whitespace.

### SyncInfoFilter.ContentComparisonSyncInfoFilter

    public SyncInfoFilter.ContentComparisonSyncInfoFilter(boolean ignoreWhitespace)

  Create a filter and configure how whitespace is handled.

  Parameters:
    `ignoreWhitespace` - whether whitespace should be ignored

Method Detail

### select

    public boolean select(SyncInfo info,
                          IProgressMonitor monitor)

  Description copied from class: `SyncInfoFilter`
  Return `true` if the provided `SyncInfo` matches the filter.

  Specified by:
    `select` in class `SyncInfoFilter`
  Parameters:
    `info` - the `SyncInfo` to be tested
    `monitor` - a progress monitor
  Returns:
    `true` if the `SyncInfo` matches the filter

### compareContents

    public boolean compareContents(IFile local,
                                   IResourceVariant remote,
                                   IProgressMonitor monitor)

  Compare the contents of the local file and its variant. This is used by the `select` method to compare the contents of two non-null files.

  Parameters:
    `local` - a local file
    `remote` - a resource variant of the file
    `monitor` - a progress monitor
  Returns:
    whether the contents of the two files are equal

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.